DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# BinaryDilation

Binary morphological dilation operation

## SYNOPSIS

`#include "dip_binary.h"`

dip_Error dip_BinaryDilation ( in, out, connectivity, iterations, edge )

## DATA TYPES

binary

## FUNCTION

The `connectivity` parameter defines the metric, that is, the shape of the structuring element. 1 indicates city-block metric, or a diamond-shaped structuring element. 2 indicates chessboard metric, or a square structuring element. -1 and -2 indicate alternating connectivity and produce an octagonal structuring element. See The connectivity parameter for more information. The `edge` parameter specifies whether the border of the image should be treated as object (`DIP_TRUE`) or as background (`DIP_FALSE`).

See section 9.6, "Morphology-based operations", in Fundamentals of Image Processing for a description of binary mathematical morphology operations.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output
`dip_int` | `connectivity` | Connectivity
`dip_int` | `iterations` | Iterations
`dip_Boolean` | `edge` | Edge pixels on

## KNOWN BUGS

This function is only implemented for images with a dimension up to three.

## SEE ALSO

`BinaryErosion`, `BinaryClosing`, `BinaryOpening`, `BinaryPropagation`